datacache <- new.env(hash=TRUE, parent=emptyenv())

m20kcod <- function() showQCData("m20kcod", datacache)
m20kcod_dbconn <- function() dbconn(datacache)
m20kcod_dbfile <- function() dbfile(datacache)
m20kcod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
m20kcod_dbInfo <- function() dbInfo(datacache)

m20kcodORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "m20kcod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("m20kcod", "chip m20kcod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(m20kcod_dbconn())
}

